You are not logged in.

#1 2011-02-22 15:13:23

flan_suse
Member
Registered: 2010-10-28
Posts: 113

[Request] Unison 2.32

Is someone willing to make a PKGBUILD for Unison 2.32 in the AUR?

The problem with Unison is that all systems need to have the same version installed in order for it to work. Most distros are still using (and for a long time) version 2.32, but just today the package in the Extra repo has been updated to 2.40. I have to intentionally ignore this package update, since all my other systems and distros are using 2.32.

Right now there is a PKGBUILD in the AUR for version 2.27, listed as "unison-old". This version is still used by some older distros, such as RHEL 5, SLED/SLES 11, and Debian Lenny. I don't think version 2.27 is ready to be abandoned yet, and 2.32 is definitely needed for ArchLinux.

Maybe a package in the AUR to be named unison-232 that provides unison? If such is the case, perhaps unison-old can be renamed (or re-submitted) as unison-227? This is the naming convention some other distros use in their repositories, in order to provide multiple versions of unison.

Last edited by flan_suse (2011-02-22 15:25:17)

Offline

#2 2011-02-22 17:40:01

eldragon
Member
From: Buenos Aires
Registered: 2008-11-18
Posts: 1,026

Re: [Request] Unison 2.32

you should add the package to IgnorePkg if you dont want it updated.

your cache should have the old version, install it manually and then add the entry in pacman.conf

Offline

#3 2011-02-22 18:35:46

flan_suse
Member
Registered: 2010-10-28
Posts: 113

Re: [Request] Unison 2.32

eldragon wrote:

you should add the package to IgnorePkg if you dont want it updated.

your cache should have the old version, install it manually and then add the entry in pacman.conf

I already did (never even updated Unison to 2.40.) My post is concerned with having 2.32 available for new installations, just like 2.27 is still available, even when 2.32 was the latest stable release.

Offline

#4 2011-02-22 22:18:36

fukawi2
Forum Moderator
From: .vic.au
Registered: 2007-09-28
Posts: 5,326
Website

Re: [Request] Unison 2.32

I had a similar problem a while back:
https://bbs.archlinux.org/viewtopic.php?pid=751392

Offline

#5 2011-02-23 00:55:42

jowilkin
Member
Registered: 2009-05-07
Posts: 243

Re: [Request] Unison 2.32

I'm still on unison 2.27 because that's what the server I sync everything to is running.  I use the IgnorePkg variable to keep it that way, but I can see how people may want to be able to install the older versions on their machines.

Why don't you make a unison232 package and contact the maintainer of the 2.27 package and ask them about a name change.

Offline

#6 2011-02-23 02:25:23

flan_suse
Member
Registered: 2010-10-28
Posts: 113

Re: [Request] Unison 2.32

jowilkin wrote:

Why don't you make a unison232 package and contact the maintainer of the 2.27 package and ask them about a name change.

I made a unison-232 package:
https://aur.archlinux.org/packages.php?ID=46811

Not very experienced, and after a lot of trials and pulling my hair out, I got a clean, working package that builds, installs, and runs perfectly. (Substitute "perfectly" with something more appropriate!)

I'll contact the other maintainer, and see what can be done about unison-227.

Last edited by flan_suse (2011-02-23 02:25:47)

Offline

#7 2011-02-23 03:38:18

ngoonee
Forum Fellow
From: Between Thailand and Singapore
Registered: 2009-03-17
Posts: 6,887

Re: [Request] Unison 2.32

I think both should be left, since unison is in the unique situation of the exact version being needed across all platforms its used on for syncing.


Allan-Volunteer on the (topic being discussed) mailn lists. You never get the people who matters attention on the forums.
jasonwryan-Installing Arch is a measure of your literacy. Maintaining Arch is a measure of your diligence. Contributing to Arch is a measure of your competence.
Griemak-Bleeding edge, not bleeding flat. Edge denotes falls will occur from time to time. Bring your own parachute.

Offline

#8 2011-02-23 13:37:15

flan_suse
Member
Registered: 2010-10-28
Posts: 113

Re: [Request] Unison 2.32

After contacting and receiving a response from the maintainer of unison-old, I made a unison-227 PKGBUILD using the same format and concept as the unison-232 package. He asked me to request that unison-old be deleted, and so I also sent his request to aur-general.

Offline

Board footer

Powered by FluxBB